OperationsDeposit details

Deposit details

Full data for an incoming deposit (created by the Wallet Service webhook): decimal amount, token symbol, recipient address. amlStatus/amlDetails are placeholders until the automation engine is available.

curl -X GET "https://policy-engine-rest.ezig.workers.dev/api/v1/vaults/demo_vault/deposits/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
{
  "id": "cmr3f41z20001psp7phmyapw3",
  "fromExternal": "example_string",
  "amount": "example_string",
  "asset": "example_string",
  "network": "example_string",
  "txHash": "example_string",
  "block": 42,
  "timestamp": "example_string",
  "contractAddress": "123 Main St",
  "createdAt": "2026-07-02T11:25:15.134000Z",
  "toAddress": {
    "id": "cmr3f41z20001psp7phmyapw3",
    "address": "123 Main St",
    "derivationPath": "example_string",
    "network": "example_string",
    "label": "example_string",
    "segmentsJson": {},
    "vault": {
      "id": "example_string",
      "code": "test_vault",
      "name": "John Doe"
    }
  },
  "counterparty": {
    "id": "example_string",
    "name": "John Doe",
    "kind": "example_string"
  },
  "amlStatus": "null",
  "amlDetails": "null",
  "usdRate": "0.0123762376",
  "usdRateAsOf": "2026-07-02T11:25:15.134000Z",
  "usdRateSource": "esim.cash",
  "amountDecimal": "1.5",
  "assetSymbol": "USDT"
}
GET
/api/v1/vaults/{code}/deposits/{id}
GET
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

Session token. Mobile/services. The web uses a cookie.

Session token. Mobile/services. The web uses a cookie.
API Key (cookie: session_token)
session_tokenstring
Required

API key (sent in cookie)

path
codestring
Required

Unique Vault code (slug)

path
idstring
Required

Deposit id (cuid)

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. Session token. Mobile/services. The web uses a cookie.

path
parameterstring
Required

API Key for authentication. Provide your API key in the cookie.

Path Parameters

codestring
Required

Unique Vault code (slug)

Example:
demo_vault
idstring
Required

Deposit id (cuid)

Responses

idstring
Required

cuid

fromExternalstring
Required
amountstring
Required
assetstring
Required
networkstring
Required
txHashstring
Required
blockstring
Required
timestampstring
Required
contractAddressstring
Required
createdAtstring
Required
toAddressobject
Required
counterpartystring
Required
amlStatusnull
Required

Placeholder; will appear with the automation engine

amlDetailsnull
Required
usdRatestring
Required

Token rate in USD at the time of the deposit (USD per 1 unit); null means unavailable

usdRateAsOfstring
Required
usdRateSourcestring
Required
amountDecimalstring
Required
assetSymbolstring
Required